Bitcall logoBitcall API
Add your Key ID and Secret to send test requests.

Get a plan

GET
/v1/esim/plans/{id}

Returns one plan with its coverage, allowance, validity and price.

Authorization

KeyId ApiSecret
x-key-id<token>

Your API key id.

In: header

x-api-secret<token>

Your API key secret.

In: header

Path Parameters

id*string

Query Parameters

currency?string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/esim/plans/string"
{
  "data": {
    "planId": "string",
    "name": "string",
    "region": "string",
    "countryCode": "string",
    "countries": [
      "string"
    ],
    "dataMb": 0,
    "unlimitedData": true,
    "validityDays": 0,
    "price": {
      "amount": 0,
      "currency": "string"
    },
    "network": "string",
    "packageType": "string",
    "connectivity": "string",
    "capabilities": {
      "data": true,
      "voice": true,
      "sms": true,
      "hotspot": true,
      "fiveG": true
    }
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "The request is not valid. See `fields` for what to correct.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "AUTHENTICATION_REQUIRED",
    "message": "This endpoint requires an API key.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "NOT_FOUND",
    "message": "No such resource.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "RATE_LIMITED",
    "message": "Too many requests. Retry after the interval in `Retry-After`.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "INTERNAL_ERROR",
    "message": "Something went wrong on our side.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "SERVICE_RESPONSE_INVALID",
    "message": "The upstream service returned an unexpected response.",
    "requestId": "9f1c7b2e-…"
  }
}
{
  "error": {
    "code": "SERVICE_UNAVAILABLE",
    "message": "The service is temporarily unavailable. Try again shortly.",
    "requestId": "9f1c7b2e-…"
  }
}